package com.goafanti.achievement.bo;

import java.math.BigDecimal;
import java.util.Date;

import org.apache.commons.lang3.time.DateFormatUtils;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonFormat.Shape;
import com.goafanti.common.constant.AFTConstants;

public class AchievementOrderListBo {
	private String		id;

	/**
	 * 编号
	 */
	private Integer		serialNumber;

	/**
	 * 科技成果ID
	 */
	private String		achievementId;

	/**
	 * 购买时间
	 */
	private Date		createTime;

	/**
	* (0, "未支付"),(1, "已支付"),(2, "支付中"),(3, "完成"),(9, "取消"),(10, "无效")
	*/
	private Integer		status;

	/**
	* 实际支付金额
	*/
	private Double		paymentValue;

	/**
	* 支付方式
	*/
	private String		paymentType;

	/**
	* 支付流水号
	*/
	private String		paymentId;

	/**
	* 支付时间
	*/
	private Date		paymentTime;

	/**
	 * 科技成果名称
	 */
	private String		name;

	/**
	 * 科技需求编号
	 */
	private Integer		achievementSerialNumber;

	/**
	 * 科技成果删除标记
	 */
	private Integer		deletedSign;

	/**
	 * 科技成果审核状态
	 */
	private Integer		auditStatus;

	/**
	 * 议价方式(0--面议，1--定价)
	 */
	private Integer		bargainingMode;

	/**
	 * 转让价格
	 */
	private BigDecimal	transferPrice;

	@JsonFormat(shape = Shape.STRING)
	public Integer getDeletedSign() {
		return deletedSign;
	}

	public void setDeletedSign(Integer deletedSign) {
		this.deletedSign = deletedSign;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getAuditStatus() {
		return auditStatus;
	}

	public void setAuditStatus(Integer auditStatus) {
		this.auditStatus = auditStatus;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Integer getSerialNumber() {
		return serialNumber;
	}

	public void setSerialNumber(Integer serialNumber) {
		this.serialNumber = serialNumber;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public String getAchievementId() {
		return achievementId;
	}

	public void setAchievementId(String achievementId) {
		this.achievementId = achievementId;
	}

	public Integer getAchievementSerialNumber() {
		return achievementSerialNumber;
	}

	public void setAchievementSerialNumber(Integer achievementSerialNumber) {
		this.achievementSerialNumber = achievementSerialNumber;
	}

	public String getCreateTimeFormattedDate() {
		if (this.createTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getCreateTime(), AFTConstants.YYYYMMDDHHMMSS);
		}
	}

	public void setCreateTimeFormattedDate(String createTimeFormattedDate) {

	}

	public Double getPaymentValue() {
		return paymentValue;
	}

	public void setPaymentValue(Double paymentValue) {
		this.paymentValue = paymentValue;
	}

	public String getPaymentType() {
		return paymentType;
	}

	public void setPaymentType(String paymentType) {
		this.paymentType = paymentType;
	}

	public String getPaymentId() {
		return paymentId;
	}

	public void setPaymentId(String paymentId) {
		this.paymentId = paymentId;
	}

	public Date getPaymentTime() {
		return paymentTime;
	}

	public void setPaymentTime(Date paymentTime) {
		this.paymentTime = paymentTime;
	}

	public String getPaymentTimeFormattedDate() {
		if (this.paymentTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getPaymentTime(), AFTConstants.YYYYMMDDHHMMSS);
		}
	}

	public void setPaymentTimeFormattedDate(String paymentTimeFormattedDate) {

	}

	public Integer getBargainingMode() {
		return bargainingMode;
	}

	public void setBargainingMode(Integer bargainingMode) {
		this.bargainingMode = bargainingMode;
	}

	public BigDecimal getTransferPrice() {
		return transferPrice;
	}

	public void setTransferPrice(BigDecimal transferPrice) {
		this.transferPrice = transferPrice;
	}

}
